Package tigase.cert

# Enum Class CertCheckResult

java.lang.Object
java.lang.Enum<CertCheckResult>
tigase.cert.CertCheckResult

All Implemented Interfaces:
  `Serializable`, `Comparable<CertCheckResult>`, `Constable`

public enum CertCheckResult extends Enum<CertCheckResult>
Created: Oct 29, 2010 3:39:59 PM

Version:
  $Rev$
Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `expired`
  `invalid`
  `none`
  `revoked`
  `self_signed`
  `trusted`
  `untrusted`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CertCheckResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CertCheckResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### trusted

    public static final CertCheckResult trusted

  - ### self_signed

    public static final CertCheckResult self_signed

  - ### untrusted

    public static final CertCheckResult untrusted

  - ### revoked

    public static final CertCheckResult revoked

  - ### expired

    public static final CertCheckResult expired

  - ### invalid

    public static final CertCheckResult invalid

  - ### none

    public static final CertCheckResult none

- ## Method Details

  - ### values

    public static CertCheckResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CertCheckResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null